<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
	android:shouldDisableView="true" android:selectable="true">
	<EditTextPreference android:singleLine="true"
		android:summary="@string/SettingsText"
		android:title="@string/settings_account_username" android:key="settings_key_account_username"
		 />
	<EditTextPreference android:name="password"
		android:singleLine="true" android:password="true"
		android:summary="@string/SettingsPassword"
		android:title="@string/settings_account_password" android:key="settings_key_account_password" />
	<CheckBoxPreference android:title="@string/SettingsCheckboxText"
		android:defaultValue="false"
		android:summary="@string/SettingsGmail"
		android:key="settings_key_gmail" />
	<PreferenceScreen android:key="proxy" android:title="@string/SettingsProxy">
		<CheckBoxPreference android:title="@string/SettingsProxyProxy"
			android:defaultValue="false"
			android:summary="@string/SettingsProxySummary"
			android:key="settings_key_proxy_use" />
		<ListPreference android:dependency="settings_key_proxy_use"
			android:title="@string/SettingsProxyType" android:entries="@array/proxy_types"
			android:summary="@string/SettingsProxyTypeSummary"
			android:defaultValue="HTTP" android:entryValues="@array/proxy_types"
			android:key="settings_key_proxy_type" />
		<EditTextPreference android:singleLine="true" android:dependency="settings_key_proxy_use"
			android:name="serveur" android:summary="@string/SettingsProxyServer"
			android:title="@string/settings_proxy_server" android:key="settings_key_proxy_server" />
		<EditTextPreference android:singleLine="true" android:dependency="settings_key_proxy_use"
			android:name="port" android:summary="@string/SettingsProxyPort"
			android:title="@string/settings_proxy_port" android:key="settings_key_proxy_port"
			android:numeric="integer" />
		<EditTextPreference android:singleLine="true" android:dependency="settings_key_proxy_use"
			android:name="Utilisateur"
			android:summary="@string/SettingsProxyUser"
			android:title="@string/settings_proxy_username" android:key="settings_key_proxy_username" />
		<EditTextPreference android:singleLine="true" android:dependency="settings_key_proxy_use"
			android:name="pass_user" android:password="true"
			android:summary="@string/SettingsProxyPassword"
			android:title="@string/settings_proxy_password" android:key="settings_key_proxy_password" />
	</PreferenceScreen>

	<PreferenceScreen android:key="advanced"
		android:title="@string/SettingsAdvanced">
		<CheckBoxPreference
			android:title="@string/settings_xmpp_use_tls"
			android:defaultValue="false"
			android:key="settings_key_xmpp_tls_use" />
		
		<EditTextPreference android:singleLine="true"
			android:title="@string/settings_reco_delay"
			android:name="Reconnect delay"
			android:summary="@string/SettingsAdvancedRecoDelay"
			android:key="settings_key_reco_delay"
			android:numeric="integer"
			android:defaultValue="10" />
		
		<CheckBoxPreference android:title="@string/SettingsAdvancedOptions"
			android:defaultValue="false"
			android:summary="@string/SettingsAdvancedSpecOpt"
			android:key="settings_key_specific_server" />
			<EditTextPreference android:singleLine="true" android:dependency="settings_key_specific_server"
				android:name="adresse" android:summary="@string/SettingsAdvancedAddOpt"
				android:title="@string/settings_xmpp_server" android:key="settings_key_xmpp_server"
				android:defaultValue="10.0.2.2" />
			<EditTextPreference android:singleLine="true" android:dependency="settings_key_specific_server"
				android:name="port" android:summary="@string/SettingsAdvancedPortOpt"
				android:title="@string/settings_xmpp_port" android:defaultValue="5222"
				android:numeric="integer"
				android:key="settings_key_xmpp_port" />
	</PreferenceScreen>
</PreferenceScreen>